Bug 548474 - [abrt] crash detected in audacious-2.1-7.fc12 : malloc memory corruption found deep in libxml2 upon saving xspf playlist
Summary: [abrt] crash detected in audacious-2.1-7.fc12 : malloc memory corruption foun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious-plugins
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fbf9cc6ba8bce699241a47464a9...
: 548355 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-17 14:58 UTC by ishan
Modified: 2010-02-02 01:10 UTC (History)
3 users (show)

Fixed In Version: 0.4-1.fc12.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:10:36 UTC


Attachments (Terms of Use)
File: backtrace (22.73 KB, text/plain)
2009-12-17 14:58 UTC, ishan
no flags Details

Description ishan 2009-12-17 14:58:48 UTC
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: audacious /tmp/streamtuner.shoutcast.MB754U.m3u
component: audacious
executable: /usr/bin/audacious2
kernel: 2.6.31.6-145.fc12.i686
package: audacious-2.1-7.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 ishan 2009-12-17 14:58:53 UTC
Created attachment 379013 [details]
File: backtrace

Comment 2 ishan 2009-12-17 15:01:26 UTC
*** Bug 548355 has been marked as a duplicate of this bug. ***

Comment 3 ishan 2009-12-17 15:03:18 UTC
/tmp/streamtuner.shoutcast.MB754U.m3u  file is not there now(after i rebooted
for a change)

glibc-2.11-2.i686
libxml2-2.7.6-1.fc12.i686

Comment 4 Michael Schwendt 2009-12-17 15:19:20 UTC
As I wrote in bug 548355, the crash is in glibc malloc() called from within libxml2. Currently don't know any better than to pass this on.

Comment 5 Andreas Schwab 2009-12-17 15:41:36 UTC
Crashes in malloc usually mean heap corruption.  Please verify with valgrind that audacious is clean.

Comment 6 Michael Schwendt 2009-12-17 15:57:44 UTC
For that I need a test-case, at least. Such as the steps that lead to
"audacious /tmp/streamtuner.shoutcast.MB754U.m3u". How is streamtuner involved?

Comment 7 Fedora Update System 2010-01-01 12:44:32 UTC
audacious-plugin-fc-0.4-1.fc12.2,audacious-plugins-2.2-7.fc12,audacious-2.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/audacious-plugin-fc-0.4-1.fc12.2,audacious-plugins-2.2-7.fc12,audacious-2.2-4.fc12

Comment 8 Fedora Update System 2010-01-02 03:33:26 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-7.fc12, audacious-2.2-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 9 Fedora Update System 2010-01-05 22:54:23 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 10 Fedora Update System 2010-01-12 23:30:57 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 11 Fedora Update System 2010-01-12 23:31:52 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 12 Fedora Update System 2010-01-12 23:32:43 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 13 Fedora Update System 2010-01-26 00:58:06 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-7.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 14 Michael Schwendt 2010-01-27 10:42:07 UTC
Third-party add-on packages for Audacious 2.2 are available
in their respective -updates-testing repository.

Please give feedback on the Audacious 2.2 test update:
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

There are no plans to continue with Audacious 2.1.

Comment 15 Fedora Update System 2010-02-01 01:24:18 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 16 Fedora Update System 2010-02-02 01:09:38 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.